1. customer
demand.erp API
  • bom
    • create bom
      POST
    • get bom
      GET
    • update bom
      PUT
    • delete bom
      DELETE
    • delete bom position
      DELETE
  • item
    • create item
      POST
    • get item
      GET
    • update item
      PUT
    • delete item
      DELETE
  • workplan
    • create workplan
      POST
    • get workplan
      GET
    • update workplan
      PUT
    • delete workplan
      DELETE
  • customer
    • create customer (4.8.0)
      POST
    • get customer (4.8.0)
      GET
    • update customer (4.8.0)
      PUT
    • delete customer (4.8.0)
      DELETE
  • Schemas
    • Schemas
    • Response
      • Success
      • BadRequest
    • getBom
    • postBom
    • putBom
    • getItem
    • postItem
    • putItem
    • getWorkplan
    • postWorkplan
    • putWorkplan
    • getCustomer
    • postCustomer
    • putCustomer
    • Success
    • Error
  1. customer

update customer (4.8.0)

PUT
/customer/{customerid}
Last modified:2026-07-31 08:53:01
This endpoint allows you to update a customer. Only values that need to be updated must be passed. At least one value must be provided.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/json

Example
{
    "address": {
        "customerid": "4711",
        "name1": "Hermann GmbH",
        "name2": "",
        "name3": "",
        "name4": "",
        "street": "Damm 50",
        "postalcode": 49439,
        "city": "Steinfeld",
        "po_box": null,
        "po_box_postalcode": null,
        "po_box_city": null,
        "website": "www.demandsoftware.de",
        "email": "info@demandsoftware.de",
        "fax": 5492123456,
        "country": "DEU",
        "language": "D",
        "sector": 4,
        "classification": 5492123456,
        "type_of_customer": null,
        "clerk": 7,
        "group": null,
        "currency": "EUR",
        "abc_indicator": "A"
    },
    "delivery": {
        "address": 1,
        "method": 0,
        "packaging": null,
        "condition": null,
        "zone": null,
        "shipping_point": null,
        "processing_time": null,
        "priority": null,
        "carrier": null,
        "regulator": null,
        "supplier_no": null,
        "delivery_block": null,
        "delivery_block_date": null,
        "delivery_mark": null,
        "consignment_storage_location": null,
        "auto_storno": 20,
        "partial_delivery": null
    },
    "billing": {
        "invoice_recipient": 4712,
        "billing_address": null,
        "terms_of_payment": 1,
        "number_of_payment_days": 1,
        "member_of": 4712,
        "in_association_with": 4712,
        "parent_company": 4712,
        "regulation": "N",
        "tax_number": null,
        "tax_id_number": null,
        "iban": null,
        "bic": null,
        "leitweg_id": null,
        "bonus_date": null,
        "credit_limit": null,
        "private_customer": "N",
        "bonus_plate": "N",
        "credit_limit_lock": 0
    },
    "terms": {
        "default_price_list": 1,
        "default_discount": 0,
        "pricing": "Y",
        "representative1": 1,
        "representative2": 2,
        "commission1": 3,
        "commission2": 0,
        "surcharge_discount1": 1,
        "surcharge_discount2": 1,
        "surcharge_discount3": 1,
        "surcharge_discount1_value": 1,
        "surcharge_discount2_value": 1,
        "surcharge_discount3_value": 1,
        "surcharge_discount1_total_order": 1,
        "surcharge_discount2_total_order": 1,
        "surcharge_discount3_total_order": 1,
        "surcharge_discount1_positions": 1,
        "surcharge_discount2_positions": 1,
        "surcharge_discount3_positions": 1
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/customer/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "address": {
        "customerid": "4711",
        "name1": "Hermann GmbH",
        "name2": "",
        "name3": "",
        "name4": "",
        "street": "Damm 50",
        "postalcode": 49439,
        "city": "Steinfeld",
        "po_box": null,
        "po_box_postalcode": null,
        "po_box_city": null,
        "website": "www.demandsoftware.de",
        "email": "info@demandsoftware.de",
        "fax": 5492123456,
        "country": "DEU",
        "language": "D",
        "sector": 4,
        "classification": 5492123456,
        "type_of_customer": null,
        "clerk": 7,
        "group": null,
        "currency": "EUR",
        "abc_indicator": "A"
    },
    "delivery": {
        "address": 1,
        "method": 0,
        "packaging": null,
        "condition": null,
        "zone": null,
        "shipping_point": null,
        "processing_time": null,
        "priority": null,
        "carrier": null,
        "regulator": null,
        "supplier_no": null,
        "delivery_block": null,
        "delivery_block_date": null,
        "delivery_mark": null,
        "consignment_storage_location": null,
        "auto_storno": 20,
        "partial_delivery": null
    },
    "billing": {
        "invoice_recipient": 4712,
        "billing_address": null,
        "terms_of_payment": 1,
        "number_of_payment_days": 1,
        "member_of": 4712,
        "in_association_with": 4712,
        "parent_company": 4712,
        "regulation": "N",
        "tax_number": null,
        "tax_id_number": null,
        "iban": null,
        "bic": null,
        "leitweg_id": null,
        "bonus_date": null,
        "credit_limit": null,
        "private_customer": "N",
        "bonus_plate": "N",
        "credit_limit_lock": 0
    },
    "terms": {
        "default_price_list": 1,
        "default_discount": 0,
        "pricing": "Y",
        "representative1": 1,
        "representative2": 2,
        "commission1": 3,
        "commission2": 0,
        "surcharge_discount1": 1,
        "surcharge_discount2": 1,
        "surcharge_discount3": 1,
        "surcharge_discount1_value": 1,
        "surcharge_discount2_value": 1,
        "surcharge_discount3_value": 1,
        "surcharge_discount1_total_order": 1,
        "surcharge_discount2_total_order": 1,
        "surcharge_discount3_total_order": 1,
        "surcharge_discount1_positions": 1,
        "surcharge_discount2_positions": 1,
        "surcharge_discount3_positions": 1
    }
}'

Responses

🟢200
application/json
Returns the updated customer
Bodyapplication/json

Example
{
    "address": {
        "customerid": "4711",
        "name1": "Hermann GmbH",
        "name2": "",
        "name3": "",
        "name4": "",
        "street": "Damm 50",
        "postalcode": 49439,
        "city": "Steinfeld",
        "po_box": null,
        "po_box_postalcode": null,
        "po_box_city": null,
        "website": "www.demandsoftware.de",
        "email": "info@demandsoftware.de",
        "fax": 5492123456,
        "country": "DEU",
        "language": "D",
        "sector": 4,
        "classification": 5492123456,
        "type_of_customer": null,
        "clerk": 7,
        "group": null,
        "currency": "EUR",
        "abc_indicator": "A"
    },
    "delivery": {
        "address": 1,
        "method": 0,
        "packaging": null,
        "condition": null,
        "zone": null,
        "shipping_point": null,
        "processing_time": null,
        "priority": null,
        "carrier": null,
        "regulator": null,
        "supplier_no": null,
        "delivery_block": null,
        "delivery_block_date": null,
        "delivery_mark": null,
        "consignment_storage_location": null,
        "auto_storno": 20,
        "partial_delivery": null
    },
    "billing": {
        "invoice_recipient": 4712,
        "billing_address": null,
        "terms_of_payment": 1,
        "number_of_payment_days": 1,
        "member_of": 4712,
        "in_association_with": 4712,
        "parent_company": 4712,
        "regulation": "N",
        "tax_number": null,
        "tax_id_number": null,
        "iban": null,
        "bic": null,
        "leitweg_id": null,
        "bonus_date": null,
        "credit_limit": null,
        "private_customer": "N",
        "bonus_plate": "N",
        "credit_limit_lock": 0
    },
    "terms": {
        "default_price_list": 1,
        "default_discount": 0,
        "pricing": "Y",
        "representative1": 1,
        "representative2": 2,
        "commission1": 3,
        "commission2": 0,
        "surcharge_discount1": 1,
        "surcharge_discount2": 1,
        "surcharge_discount3": 1,
        "surcharge_discount1_value": 1,
        "surcharge_discount2_value": 1,
        "surcharge_discount3_value": 1,
        "surcharge_discount1_total_order": 1,
        "surcharge_discount2_total_order": 1,
        "surcharge_discount3_total_order": 1,
        "surcharge_discount1_positions": 1,
        "surcharge_discount2_positions": 1,
        "surcharge_discount3_positions": 1
    }
}
🟠400BadRequest
🟠401Unauthorized
🟠403Forbidden
Modified at 2026-07-31 08:53:01
Previous
get customer (4.8.0)
Next
delete customer (4.8.0)
Built with